### Class

# Gtk CallbackAction

#### Description [src]

    final class Gtk.CallbackAction : Gtk.ShortcutAction {
      /* No available fields */
    }

A `GtkShortcutAction` that invokes a callback.

#### Hierarchy

#### Ancestors

- GtkShortcutAction
- GObject

#### Constructors

###### gtk_callback_action_new

Create a custom action that calls the given `callback` when activated.

#### Class structure

    struct GtkCallbackActionClass {
      /* no available fields */
    }